<script setup lang="ts">
import MainView from "./views/MainView.vue";
import LoginView from "./views/LoginView.vue";
import { onMounted } from "vue";
import { useloginStore } from "@/stores/login";
import MessageBox from "./components/MessageBox.vue";
const loginStore = useloginStore();
onMounted(() => {
  loginStore.loadData();
});
</script>

<template>
  <LoginView v-if="!loginStore.isLogin" />
  <MainView
    v-if="loginStore.isLogin"
    @Logout="loginStore.Logout"
    :loginName="loginStore.LoginName"
  />
  <MessageBox></MessageBox>
</template>

<style scoped></style>
